OGRE: Ogre::ParticleScriptCompilerListener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::ParticleScriptCompilerListener Class Reference
[Effects]

This is the specific listener for the particle script compiler. More...

`#include <OgreParticleScriptCompiler.h>`

Inheritance diagram for Ogre::ParticleScriptCompilerListener:
[legend]

List of all members.

## Public Member Functions
| ParticleScriptCompilerListener ()
virtual bool | processNode (ScriptNodeList::iterator &iter, ScriptNodeList::iterator &end, ParticleScriptCompiler *)
| Override this to do custom processing of the script nodes.
virtual ParticleSystem * | getParticleSystem (const String &name, const String &group)
| This provides the compiler with the particle system it wishes to compile into. Override it for custom system allocations.
virtual ConcreteNodeListPtr | importFile (ScriptCompiler *compiler, const String &name)
| Returns the concrete node list from the given file.
virtual void | preConversion (ScriptCompiler *compiler, ConcreteNodeListPtr nodes)
| Allows for responding to and overriding behavior before a CST is translated into an AST.
virtual bool | postConversion (ScriptCompiler *compiler, const AbstractNodeListPtr &)
| Allows vetoing of continued compilation after the entire AST conversion process finishes.
virtual void | handleError (ScriptCompiler *compiler, uint32 code, const String &file, int line, const String &msg)
| Called when an error occurred.
virtual bool | handleEvent (ScriptCompiler *compiler, ScriptCompilerEvent *evt, void *retval)
| Called when an event occurs during translation, return true if handled.

## Detailed Description

This is the specific listener for the particle script compiler.

It allows overriding behavior for specific functionality of this compiler.

Definition at line 45 of file OgreParticleScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::ParticleScriptCompilerListener::ParticleScriptCompilerListener | ( |  | ) |

## Member Function Documentation

virtual ParticleSystem* Ogre::ParticleScriptCompilerListener::getParticleSystem | ( | const String & | name,
|  | const String & | group |
| ) |  |  | `[virtual]`

This provides the compiler with the particle system it wishes to compile into. Override it for custom system allocations.

virtual void Ogre::ScriptCompilerListener::handleError | ( | ScriptCompiler * | compiler,
|  | uint32 | code,
|  | const String & | file,
|  | int | line,
|  | const String & | msg |
| ) |  |  | `[virtual, inherited]`

Called when an error occurred.

virtual bool Ogre::ScriptCompilerListener::handleEvent | ( | ScriptCompiler * | compiler,
|  | ScriptCompilerEvent * | evt,
|  | void * | retval |
| ) |  |  | `[virtual, inherited]`

Called when an event occurs during translation, return true if handled.

Remarks:
  This function is called from the translators when an event occurs that that can be responded to. Often this is overriding names, or it can be a request for custom resource creation.
  - compiler A reference to the compiler
  - evt The event object holding information about the event to be processed
  - retval A possible return value from handlers

Returns:
  True if the handler processed the event

virtual ConcreteNodeListPtr Ogre::ScriptCompilerListener::importFile | ( | ScriptCompiler * | compiler,
|  | const String & | name |
| ) |  |  | `[virtual, inherited]`

Returns the concrete node list from the given file.

virtual bool Ogre::ScriptCompilerListener::postConversion | ( | ScriptCompiler * | compiler,
|  | const AbstractNodeListPtr & |  |
| ) |  |  | `[virtual, inherited]`

Allows vetoing of continued compilation after the entire AST conversion process finishes.

Remarks:
  Once the script is turned completely into an AST, including import and override handling, this function allows a listener to exit the compilation process.

Returns:
  True continues compilation, false aborts

virtual void Ogre::ScriptCompilerListener::preConversion | ( | ScriptCompiler * | compiler,
|  | ConcreteNodeListPtr | nodes |
| ) |  |  | `[virtual, inherited]`

Allows for responding to and overriding behavior before a CST is translated into an AST.

virtual bool Ogre::ParticleScriptCompilerListener::processNode | ( | ScriptNodeList::iterator & | iter,
|  | ScriptNodeList::iterator & | end,
|  | ParticleScriptCompiler * |  |
| ) |  |  | `[virtual]`

Override this to do custom processing of the script nodes.

The documentation for this class was generated from the following file:

- OgreParticleScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58